Name:           buildsys-tools
Version:        0.1
Release:        16%{?dist}
Summary:        Tools from centos-git-common git repository

License:        GPLv2
URL:            https://git.centos.org/summary/centos-git-common.git
#Source0:       %{name}-%{version}.tgz
Source0:        get_sources.sh
Source1:        return_disttag.sh
BuildRoot:      %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

Requires:       python
Requires:       bash
Requires:       which
Requires:       git

%description

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_bindir}
cp %{SOURCE0} %{buildroot}%{_bindir}
cp %{SOURCE1} %{buildroot}%{_bindir}

cat >%{buildroot}%{_bindir}/get_sources <<'EOF'
#!/bin/bash
COMMIT=`git rev-parse HEAD`
BRANCH=`git branch -r --contains | cut -d / -f 2`
METADATA=`ls .*metadata|head -n1 2>/dev/null`
[[ -f $METADATA ]] && get_sources.sh -b $BRANCH >> log
exit 0
EOF

chmod a+x %{buildroot}%{_bindir}/get_sources

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_bindir}/*


%changelog

* Fri Jan 16 2015 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.1-15
- get_sources : do not execute get_sources.sh if no metadata file found.

* Mon Jul 28 2014 Thomas Oulevey <thomas.oulevey@cern.ch> - 0.1-1
- Initial version

